package com.fdkankan.common.response;

import lombok.Data;

@Data
public class PageInfo {

    private int page;

    private int pageSize;

    private int total;

    private Object list;

    public static PageInfo pageInfo (int page ,int pageSize,int total,Object data){
        PageInfo pageInfo = new PageInfo();
        pageInfo.setPage(page);
        pageInfo.setPageSize(pageSize);
        pageInfo.setTotal(total);
        pageInfo.setList(data);
        return  pageInfo;
    }

}
